Summary: RPM installer/updater config files
Name: yum-conf-4x
Version: 1
Release: 8.SL
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Prereq: /sbin/chkconfig, /sbin/service
Obsoletes: yum-conf
Provides: yum-conf, yumconf
Epoch: 4

%description
Configuration files to setup yum.conf, as well as setup yum in you daily cron.
Yum-conf-4x will only point to the release in 4x, which is always the 
current stable release.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add yum
/sbin/chkconfig yum on
/sbin/service yum restart >> /dev/null
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi
exit 0

%triggerin -- firstboot
#
# This makes it so that you don't get asked about up2date on the firstboot
# 
if [ -s /usr/share/firstboot/modules/up2date.py ]; then
	rm -f /usr/share/firstboot/modules/up2date.py*
fi
#
# This makes it so that you don't get asked about more cd's on firstboot
# 
if [ -s /usr/share/firstboot/modules/additional_cds.py ]; then
	rm -f /usr/share/firstboot/modules/additional_cds.py*
fi

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.d/
%dir %{_sysconfdir}/yum.repos.d/
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/yum.d/yum.cron.excludes
%config %{_sysconfdir}/init.d/yum
%config %{_sysconfdir}/logrotate.d/yum
%{_sysconfdir}/yum.d/
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Mon Jul 13 2009 Troy Dawson <dawson@fnal.gov> 1-8.SL
- Updated gpg keys to include sl and sl4
- Updated download server list to include ftp1.scientificlinux.org

* Thu Mar 06 2008 Troy Dawson <dawson@fnal.gov> 1-7.SL
- Changed flash.repo to adobe.repo
- Updated adobe.repo to point to adobe's repository

* Mon Jun 25 2007 Troy Dawson <dawson@fnal.gov> 1-6.SL
- had the default point to http://ftp.scientificlinux.org/
- added a mirrorlist to sl-base, sl-errata, and sl-fastbugs

* Thu Aug 24 2006 Troy Dawson <dawson@fnal.gov> 1-5.SL
- updated yum.cron.excludes for firmware

* Mon Jun 05 2006 Troy Dawson <dawson@fnal.gov> 1-4.SL
- Removed redundant cuts in yum.cron when finding uptime
- Moved sl-fastbug.repo to sl4x-fastbugs.repo
- Moved sl-contrib.repo to sl4x-contrib.repo
- Moved sl-errata.repo to sl4x-errata.repo
- Moved sl.repo to sl4x.repo
- Fixed rpm key location in sl-rhaps

* Wed May 10 2006 Troy Dawson <dawson@fnal.gov> 1-3.SL
- fixed bug in yum.cron that skipps random time wait

* Wed May 08 2006 Troy Dawson <dawson@fnal.gov> 1-2.SL
- fixed path where the gpg keys were

* Wed Apr 27 2006 Troy Dawson <dawson@fnal.gov> 1-1.SL
- Converted yum-conf-43 to 4x
